Debian Bug report logs - #644808
ssvnc: Please Build-Depends on libjpeg-dev, not libjpeg62-dev

version graph

Package: src:ssvnc; Maintainer for src:ssvnc is Magnus Holmgren <holmgren@debian.org>;

Reported by: Bill Allombert <ballombe@debian.org>

Date: Sun, 9 Oct 2011 10:09:01 UTC

Severity: important

Found in version ssvnc/1.0.28-1

Fixed in version ssvnc/1.0.29-1

Done: Magnus Holmgren <holmgren@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#644808; Package src:ssvnc. (Sun, 09 Oct 2011 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@debian.org>:
New Bug report received and forwarded. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Sun, 09 Oct 2011 10:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@debian.org>
To: submit@bugs.debian.org
Subject: ssvnc: Please Build-Depends on libjpeg-dev, not libjpeg62-dev
Date: Sun, 9 Oct 2011 12:06:57 +0200
Source: ssvnc
Version: 1.0.28-1
Severity: important

Hello Magnus,

We are transitionning from libjpeg62 to libjpeg8.
As mentionned on debian-devel-announce[1], please update ssvnc to
Build-Depends on libjpeg-dev instead of libjpeg62-dev.

The following Build-Depends was found:

ssvnc 	:Build-Depends: libjpeg62-dev | libjpeg-dev libjpeg62-dev | libjpeg-dev

Please change it to
Build-Depends: libjpeg-dev
so ssvnc is rebuild against libjpeg8.

[1] http://lists.debian.org/debian-devel-announce/2010/02/msg00006.html

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Added tag(s) pending. Request was from Magnus <holmgren@debian.org> to control@bugs.debian.org. (Sun, 09 Oct 2011 20:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Magnus Holmgren <holmgren@debian.org>:
Bug#644808; Package src:ssvnc. (Thu, 10 Nov 2011 13:49:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Magnus Holmgren <holmgren@debian.org>. (Thu, 10 Nov 2011 13:49:28 GMT) Full text and rfc822 format available.

Message #12 received at 644808@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Magnus <holmgren@debian.org>
Cc: 644808@bugs.debian.org
Subject: Re: limit source to ssvnc, tagging 644808
Date: Thu, 10 Nov 2011 14:47:20 +0100
[Message part 1 (text/plain, inline)]
tags 644808 - pending
thanks

Le dimanche, 9 octobre 2011 22.49:33, Magnus a écrit :
> #ssvnc (1.0.29-1) unstable; urgency=low
> #
> #  * Simply build-depend on libjpeg-dev instead of libjpeg62-dev |
> #    libjpeg-dev (Closes: #644808).
> #
> 
> limit source ssvnc
> tags 644808 + pending
> thanks

Hi Magnus, 

it's been one month since you prepared this upload which you tagged pending 
(automatically I guess). Where did this upload go?

Cheers,

-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Thu, 10 Nov 2011 13:49:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#644808; Package src:ssvnc. (Thu, 10 Nov 2011 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and forwarded to list. (Thu, 10 Nov 2011 21:27:04 GMT) Full text and rfc822 format available.

Message #19 received at 644808@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: Didier Raboud <odyx@debian.org>, 644808@bugs.debian.org
Subject: Re: Bug#644808: limit source to ssvnc, tagging 644808
Date: Thu, 10 Nov 2011 22:25:02 +0100
[Message part 1 (text/plain, inline)]
On torsdagen den 10 november 2011, you stated the following:
> tags 644808 - pending
> thanks
> 
> Le dimanche, 9 octobre 2011 22.49:33, Magnus a écrit :
> > #ssvnc (1.0.29-1) unstable; urgency=low
> > #
> > #  * Simply build-depend on libjpeg-dev instead of libjpeg62-dev |
> > #    libjpeg-dev (Closes: #644808).
> > #
> > 
> > limit source ssvnc
> > tags 644808 + pending
> > thanks
> 
> Hi Magnus,
> 
> it's been one month since you prepared this upload which you tagged pending
> (automatically I guess). Where did this upload go?
> 
> Cheers,

Sorry, it got stuck behind an attempt to make debian/rules use dpkg-
buildflags, which was a bit tricky since the package uses imake. I'll upload 
in a jiffy.

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Reply sent to Magnus Holmgren <holmgren@debian.org>:
You have taken responsibility. (Thu, 10 Nov 2011 21:36:04 GMT) Full text and rfc822 format available.

Notification sent to Bill Allombert <ballombe@debian.org>:
Bug acknowledged by developer. (Thu, 10 Nov 2011 21:36:04 GMT) Full text and rfc822 format available.

Message #24 received at 644808-close@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 644808-close@bugs.debian.org
Subject: Bug#644808: fixed in ssvnc 1.0.29-1
Date: Thu, 10 Nov 2011 21:33:26 +0000
Source: ssvnc
Source-Version: 1.0.29-1

We believe that the bug you reported is fixed in the latest version of
ssvnc, which is due to be installed in the Debian FTP archive:

ssvnc_1.0.29-1.debian.tar.gz
  to main/s/ssvnc/ssvnc_1.0.29-1.debian.tar.gz
ssvnc_1.0.29-1.dsc
  to main/s/ssvnc/ssvnc_1.0.29-1.dsc
ssvnc_1.0.29-1_amd64.deb
  to main/s/ssvnc/ssvnc_1.0.29-1_amd64.deb
ssvnc_1.0.29.orig.tar.gz
  to main/s/ssvnc/ssvnc_1.0.29.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644808@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Magnus Holmgren <holmgren@debian.org> (supplier of updated ssvnc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 10 Nov 2011 22:23:15 +0100
Source: ssvnc
Binary: ssvnc
Architecture: source amd64
Version: 1.0.29-1
Distribution: unstable
Urgency: low
Maintainer: Magnus Holmgren <holmgren@debian.org>
Changed-By: Magnus Holmgren <holmgren@debian.org>
Description: 
 ssvnc      - Enhanced TightVNC viewer with SSL/SSH tunnel helper
Closes: 644808
Changes: 
 ssvnc (1.0.29-1) unstable; urgency=low
 .
   * New upstream release.
   * Install ReleaseNotes as upstream changelog file.
   * Simply build-depend on libjpeg-dev instead of libjpeg62-dev |
     libjpeg-dev (Closes: #644808).
   * Install a symlink in /usr/bin instead of including the main vncviewer
     binary twice in the package.
   * Add build-arch and build-indep targets to debian/rules.
   * nostrip.patch: Remove strip command from the Makefile, allowing
     DEB_BUILD_OPTONS=nostrip to work.
   * Get CFLAGS and LDFLAGS from dpkg-buildflags.
   * buildflags.patch: Pass CFLAGS and LDFLAGS through via ./Makefile as
     CDEBUGFLAGS and LOCAL_LDFLAGS to vnc_unixsrc/*/Makefile. This results
     in -fno-strict-aliasing (added by xmkmf by default) being dropped, but
     that doesn't seem to cause any problems.
   * format-security.patch: Fix some flaws uncovered by -Wformat-security.
   * Bump Standards-Version to 3.9.2.
Checksums-Sha1: 
 208a5c7dca404991733c851c034f2338937947e8 1221 ssvnc_1.0.29-1.dsc
 135d212eab4d63609a94ce441e80e233a6d80261 552796 ssvnc_1.0.29.orig.tar.gz
 7c2337c198f21a5edcf1ac73c58b34b1d843f835 7496 ssvnc_1.0.29-1.debian.tar.gz
 600f51b5316089f7ad616689c34f8384c8b3efdb 501022 ssvnc_1.0.29-1_amd64.deb
Checksums-Sha256: 
 7cb297c1a750cce1a9b2cc600aaf6d1edbd837bc0eb6bc4f11bd86a189771da7 1221 ssvnc_1.0.29-1.dsc
 74df32eb8eaa68b07c9693a232ebe42154617c7f3cbe1d4e68d3fe7c557d618d 552796 ssvnc_1.0.29.orig.tar.gz
 1bf18aee8d118b1779a7e226a00e69368540f97decfee57f9a62cc80be9cc947 7496 ssvnc_1.0.29-1.debian.tar.gz
 220816427d8f0b149dc0afdde380761d0e557449a7983e15bff27e3f40eef186 501022 ssvnc_1.0.29-1_amd64.deb
Files: 
 90487d28a58316306e6c2f0fdf0f5dc4 1221 net extra ssvnc_1.0.29-1.dsc
 52201aeb0417c2a0fe83639e52da6ae5 552796 net extra ssvnc_1.0.29.orig.tar.gz
 7a05dbb6535122b46598a6d1415bf9e7 7496 net extra ssvnc_1.0.29-1.debian.tar.gz
 4df2253da65e3b77a4f10c3a2328f01d 501022 net extra ssvnc_1.0.29-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREIAAYFAk68QZUACgkQk7mRNn1h4+bziACcDWSgBgd7VTfw/NZzUksLFR+e
7r0AnjzrF4crbo1SnGxl59d7rzHXWR0u
=BrvC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Dec 2011 07:33:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:09:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.